-- MySQL dump 10.11
--
-- Host: localhost    Database: aclsurix
-- ------------------------------------------------------
-- Server version	5.0.95

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `aclsurix`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `aclsurix` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `aclsurix`;

--
-- Table structure for table `Condiciones_Tiempo`
--

DROP TABLE IF EXISTS `Condiciones_Tiempo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Condiciones_Tiempo` (
  `id` int(11) NOT NULL auto_increment,
  `descrip` varchar(45) NOT NULL,
  `hora_ini` time default NULL,
  `hora_fin` time default NULL,
  `dias` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Condiciones_Tiempo`
--

LOCK TABLES `Condiciones_Tiempo` WRITE;
/*!40000 ALTER TABLE `Condiciones_Tiempo` DISABLE KEYS */;
/*!40000 ALTER TABLE `Condiciones_Tiempo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Usuarios`
--

DROP TABLE IF EXISTS `Usuarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Usuarios` (
  `id` int(2) NOT NULL auto_increment,
  `nombre` varchar(20) NOT NULL,
  `apellido` varchar(20) NOT NULL,
  `nro_tarj` varchar(20) NOT NULL,
  `usuario` varchar(30) default NULL,
  `clave` varchar(20) NOT NULL,
  `id_condic` int(11) NOT NULL,
  `descrip` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `fk_id_condic` (`id_condic`),
  CONSTRAINT `fk_id_condic` FOREIGN KEY (`id_condic`) REFERENCES `Condiciones_Tiempo` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Usuarios`
--

LOCK TABLES `Usuarios` WRITE;
/*!40000 ALTER TABLE `Usuarios` DISABLE KEYS */;
/*!40000 ALTER TABLE `Usuarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit`
--

DROP TABLE IF EXISTS `audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `audit` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(45) NOT NULL,
  `apel` varchar(45) NOT NULL,
  `state` tinyint(4) NOT NULL,
  `descrip` varchar(45) default NULL,
  `fecha` date NOT NULL,
  `hora` time NOT NULL,
  `authtype` varchar(45) NOT NULL,
  `entradaOsalida` VARCHAR(15) NOT NULL ,
  `authent` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit`
--

LOCK TABLES `audit` WRITE;
/*!40000 ALTER TABLE `audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Terminales`
--

DROP TABLE IF EXISTS `Terminales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Terminales` (
  `id` int(11) NOT NULL auto_increment,
  `descrip` varchar(45) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Terminales`
--

LOCK TABLES `Terminales` WRITE;
/*!40000 ALTER TABLE `Terminales` DISABLE KEYS */;
/*!40000 ALTER TABLE `Terminales` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-09-19 12:06:18

GRANT ALL PRIVILEGES ON *.* TO 'admin'@'localhost' IDENTIFIED BY 'SuR1x2oo14' WITH GRANT OPTION;
FLUSH PRIVILEGES;
