#!/usr/bin/php -q
<?php
session_name('elastixSession');
session_start();

if (!isset($_SESSION['elastix_user'])) {
    header('Location: ../../index.php');
}

$zonahoraria = date_default_timezone_get();
date_default_timezone_set($zonahoraria);
require ('/var/lib/asterisk/agi-bin/phpagi.php');
include_once '/var/www/html/surixacl/Entities/Audit.php';
include_once '/var/www/html/surixacl/Entities/Usuario.php';
include_once '/var/www/html/surixacl/Model/m_audit.php';
include_once '/var/www/html/surixacl/Model/m_authperson.php';

$AGI = new AGI();
ob_implicit_flush(true);
set_time_limit(30);

$cidnum = $AGI->request['agi_callerid'];
$extension = $AGI->request['agi_extension'];

$temp_nro_portero = $AGI->request['agi_channel'];
$pos_ini = strpos($temp_nro_portero, '/') + 1;
$pos_fin = strpos($temp_nro_portero, '-');
$nro_portero = substr($temp_nro_portero, $pos_ini, $pos_fin - $pos_ini);

$entsize = strlen($extension);
$inOrOut = substr($extension, 0, 1);

if($inOrOut == 1) {
    $inOrOut = "Entrada";
} else {
    $inOrOut = "Salida";
}
$extension = substr($extension, 1);
$split = 0;
if ($entsize < 10 && $entsize > 6) {
    $text = LetMeGetInside($extension, "card", $nro_portero, $inOrOut);
    echo $text;
} elseif ($entsize > 4 && $entsize < 7) {
    switch ($entsize) {
        case 5:
            $split = 1;
            break;
        case 6:
            $split = 2;
            break;
       /* case 7:
            $split = 3;
            break; */
    }
    $text = LetMeGetInside($extension, "credentials", $nro_portero, $inOrOut, $split);
    echo $text;
} else {
    $msj = "Unknown person";
    shell_exec("asterisk -rx 'sip notify surix-play02 $nro_portero'");
//    $AGI->exec('Playback', "custom/no-auth");
}

// Autenticacion por tarjeta o usuario y clave
function LetMeGetInside($entity, $type, $ext_term, $inout, $cut = NULL) {
    $m_audit = new m_audit();
    $m_authperson = new m_authperson();
    $authentication_type = $type;
    $flagAuth = 0;
    if ($authentication_type) {
        $Persona = new Usuario();
        $msj = "";
        $flag = NULL;
        $time = date('H:i:s');
        $day = date('l');
        $day = translate($day);
        if ($authentication_type == "credentials") {
            $user = substr($entity, 0, $cut);
            $pass = substr($entity, $cut);
            $Persona->setUsuario($user);
            $Persona->setClave($pass);
            $authResult = $m_authperson->autenticarUP($Persona);
            if ($authResult) {
                if (is_array($authResult)) {
                    $vbuser = "";
                    $vbpass = "";
                    foreach ($authResult as $row) {
                        $vbuser = $row['usuario'];
                        $vbpass = $row['clave'];
                    }
                    if ($vbuser) {
                        if ($user == $vbuser) {
                            if ($vbpass) {
                                if ($pass == $vbpass) {
                                    $tcResult = $m_authperson->listarFechaHorasUP($Persona);
                                    $vbhoraini = "";
                                    $vbhorafin = "";
                                    $vbddia = "";
                                    if (is_array($tcResult)) {
                                        foreach ($tcResult as $row) {
                                            $vbhoraini = $row['hora_ini'];
                                            $vbhorafin = $row['hora_fin'];
                                            $vbddia = $row['dias'];
                                        }
                                        if ($vbhorafin > $time && $time > $vbhoraini) {
                                            $string = translate($vbddia);
                                            $matchDia = strpos($string, $day);
                                            if ($matchDia === 0) {
                                                $matchDia = 1;
                                            }
                                            if ($matchDia) {
                                                $msj = "Welcome";
                                                $flagAuth = 1;
                                                shell_exec("/usr/sbin/asterisk -rx 'sip notify surix-play01 $ext_term'");
						sleep(5);
                                                if($inout == 'Entrada') {
                                                    shell_exec("/usr/sbin/asterisk -rx 'sip notify surix-open-door-1 $ext_term'");
                                                } else {
                                                    shell_exec("/usr/sbin/asterisk -rx 'sip notify surix-open-door-2 $ext_term'");
                                                }
                                                // $OBJAGI->exec('Playback', "custom/welcome");
                                                // $OBJAGI->exec('SendDTMF', "1234");
                                            } else {
                                                $msj = "Forbidden by Time Condition";
                                                shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                                                // $OBJAGI->exec('Playback', "custom/no-auth");
                                            }
                                        } else {
                                            $msj = "Forbidden by Time Condition";
                                            shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                                            // $OBJAGI->exec('Playback', "custom/no-auth");
                                        }
                                    } else {
                                        $msj = "Forbidden by Time Condition";
                                        shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                                        // $OBJAGI->exec('Playback', "custom/no-auth");
                                    }
                                }
                            } else {
                                $msj = "Bad password";
                                shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                                // $OBJAGI->exec('Playback', "custom/no-auth");
                            }
                        }
                    }
                } else {
                    $msj = "Nonexistent user";
                    shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                    // $OBJAGI->exec('Playback', "custom/no-auth");
                }
            } else {
                $msj = "Nonexistent user";
                shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                //  $OBJAGI->exec('Playback', "custom/no-auth");
            }
            $flag = 0;
        } elseif ($authentication_type == "card") {
            $crdc = $entity;
            $Persona->setNro_tarj($crdc);
            $authResult = $m_authperson->autenticarCrd($Persona);
            if ($authResult) {
                if (is_array($authResult)) {
                    $vbcardcode = "";
                    foreach ($authResult as $row) {
                        $vbcardcode = $row['nrotarj'];
                    }
                    if ($vbcardcode) {
                        if ($crdc == $vbcardcode) {
                            $tcResult = $m_authperson->listarFechaHorasCrd($Persona);
                            $vbhoraini = "";
                            $vbhorafin = "";
                            $vbddia = "";
                            if (is_array($tcResult)) {
                                foreach ($tcResult as $row) {
                                    $vbhoraini = $row['hora_ini'];
                                    $vbhorafin = $row['hora_fin'];
                                    $vbddia = $row['dias'];
                                }
                                if ($vbhorafin > $time && $time > $vbhoraini) {
                                    $string = translate($vbddia);
                                    $matchDia = strpos($string, $day);
                                    if ($matchDia === 0) {
                                        $matchDia = 1;
                                    }
                                    if ($matchDia) {
                                        $flagAuth = 1;
                                        $msj = "Welcome";
					shell_exec("/usr/sbin/asterisk -rx 'sip notify surix-play01 $ext_term'");
					sleep(5);
                                        shell_exec("/usr/sbin/asterisk -rx 'sip notify surix-open-door-1 $ext_term'");
                                        // $OBJAGI->exec('Playback', "custom/welcome");
                                        // $OBJAGI->exec('SendDTMF', "1234");
                                    } else {
                                        $msj = "Forbidden by Time Condition";
                                        shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                                        // $OBJAGI->exec('Playback', "custom/no-auth");
                                    }
                                } else {
                                    $msj = "Forbidden by Time Condition";
                                    shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                                    // $OBJAGI->exec('Playback', "custom/no-auth");
                                }
                            } else {
                                $msj = "Forbidden by Time Condition";
                                shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                                // $OBJAGI->exec('Playback', "custom/no-auth");
                            }
                        } else {
                            $msj = "Nonexistent card";
                            shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                            // $OBJAGI->exec('Playback', "custom/no-auth");
                        }
                    }
                } else {
                    $msj = "Nonexistent card";
                    shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                    // $OBJAGI->exec('Playback', "custom/no-auth");
                }
            } else {
                $msj = "Nonexistent card";
                shell_exec("asterisk -rx 'sip notify surix-play02 $ext_term'");
                //  $OBJAGI->exec('Playback', "custom/no-auth");
            }
            $flag = 1;
        }
        if ($authResult) {
            $authResult = TRUE;
        }
    }
    $m_audit->insertar($flag, $Persona, $flagAuth, $msj, $inout, $entity);
    return $msj;
}

function translate($string) {
    switch ($string) {
        case "Monday":
            $string = "Lunes";
            break;
        case "Tuesday":
            $string = "Martes";
            break;
        case "Wednesday":
            $string = "Miercoles";
            break;
        case "Thursday":
            $string = "Jueves";
            break;
        case "Friday":
            $string = "Viernes";
            break;
        case "Saturday":
            $string = "Sabado";
            break;
        case "Sunday":
            $string = "Domingo";
            break;
    }
    return $string;
}
?>
