<?php
session_name('elastixSession');
session_start();

if (!isset($_SESSION['elastix_user'])) {
    header('Location: ../../index.php');
}

include_once '/var/www/html/surixacl/config.php';
include_once 'Connection.php';
include_once '/var/www/html/surixacl/Entities/Usuario.php';
$u = new Usuario();

class m_audit {

    private $argPdo;

    function __construct() {
        $this->argPdo = 'mysql:host=localhost;dbname=aclsurix;charset=utf8';
    }

    public function insertar($flag, $Persona, $authres, $message, $inout, $authent) {
        $u = $Persona;
        $sql = "";
        try {
            $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
            if ($flag == 1) {
                $sql = "select nombre, apellido from Usuarios where nro_tarj like :nrotarj";
                $query = $cnn->prepare($sql);
                $query->bindParam(':nrotarj', $u->getNro_tarj());
            } elseif ($flag == 0) {
                $sql = "select nombre, apellido from Usuarios where usuario like :user";
                $query = $cnn->prepare($sql);
                $query->bindParam(':user', $u->getUsuario());
            }
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        $nom = "";
        $apel = "";
        foreach ($result as $row) {
            $nom = $row['nombre'];
            $apel = $row['apellido'];
        }
        try {
            $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
            if ($flag == 1) {
                $sql = "insert into audit(nom,apel,state,descrip,fecha,hora,authtype,entradaOsalida,authent) 
                    values(:nom,:apel,:authres,:message,curdate(),curtime(),'card',:inout, :authent)";
                $query = $cnn->prepare($sql);
                $query->bindParam(':nom', $nom);
                $query->bindParam(':apel', $apel);
                $query->bindParam(':authres', $authres);
                $query->bindParam(':message', $message);
                $query->bindParam(':inout', $inout);
                $query->bindParam(':authent', $authent);
            } elseif ($flag == 0) {
                $sql = "insert into audit(nom,apel,state,descrip,fecha,hora,authtype,entradaOsalida,authent) 
                    values(:nom,:apel,:authres,:message,curdate(),curtime(),'credentials',:inout,:authent)";
                $query = $cnn->prepare($sql);
                $query->bindParam(':nom', $nom);
                $query->bindParam(':apel', $apel);
                $query->bindParam(':authres', $authres);
                $query->bindParam(':message', $message);
                $query->bindParam(':inout', $inout);
                $query->bindParam(':authent', $authent);
            }
            $query->execute();
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
    }

    public function listar() {
        $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit";
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

    public function listarPorFecha($arrDates) {
        if ($arrDates[0] != $arrDates[1]) {
            $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit where fecha between '$arrDates[0]' and '$arrDates[1]'";
        } else {
            $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit where fecha like '$arrDates[0]'";
        }
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

    public function listarPorHora($arrHours) {
        if ($arrHours[0] != $arrHours[1]) {
            $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit where hora between '$arrHours[0]' and '$arrHours[1]'";
        } else {
            $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit where hora between '$arrHours[0]'";
        }

        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

    public function listarPorFechaHora($arrDates, $arrHours) {
        if ($arrDates[0] != $arrDates[1]) {
            if ($arrHours[0] != $arrHours[1]) {
                $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit "
                        . "where hora between '$arrHours[0]' and '$arrHours[1]' and fecha between '$arrDates[0]' and '$arrDates[1]'";
            } else {
                $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit "
                        . "where hora like '$arrHours[0]' and fecha between '$arrDates[0]' and '$arrDates[1]'";
            }
        } else {
            if ($arrHours[0] != $arrHours[1]) {
                $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit "
                        . "where hora between '$arrHours[0]' and '$arrHours[1]' and fecha like '$arrDates[0]'";
            } else {
                $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit "
                        . "where hora like '$arrHours[0]' and fecha like '$arrDates[0]'";
            }
        }
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

    public function listarPDO() {
        $sql = "select id,nom,apel,state,descrip,date_format(fecha,'%d-%m-%Y') as fecha,hora,authtype,entradaOsalida,authent from audit";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function traerColumnas() {
        $sql = "SHOW COLUMNS FROM audit";
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

}

?>
