<?php
session_name('elastixSession');
session_start();

if (!isset($_SESSION['elastix_user'])) {
    header('Location: ../../index.php');
}

include_once '/var/www/html/surixacl/config.php';
include_once 'Connection.php';
include_once '/var/www/html/surixacl/Entities/Usuario.php';
$u = new Usuario();

class m_authperson {

    private $argPdo;

    function __construct() {
        $this->argPdo = 'mysql:host=localhost;dbname=aclsurix;charset=utf8';
    }

    public function autenticarCrd($Personal) {
        $u = $Personal;
        $sql = "SELECT u.nro_tarj as nrotarj
                FROM Usuarios u INNER JOIN Condiciones_Tiempo ct ON u.id_condic = ct.id 
                AND nro_tarj LIKE :cardnumber";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':cardnumber', $u->getNro_tarj());
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function autenticarUP($Personal) {
        $u = $Personal;
        $sql = "SELECT clave,usuario 
                FROM Usuarios u INNER JOIN Condiciones_Tiempo ct ON u.id_condic = ct.id 
                AND usuario LIKE :user";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':user', $u->getUsuario());
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function listar() {
        $sql = "select U.id as id,nombre,apellido,nro_tarj,usuario,clave,id_condic,U.descrip "
                . "from Usuarios U join Condiciones_Tiempo ct on U.id_condic = ct.id";
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

    public function listarPDO() {
        $sql = "select U.id as id,nombre,apellido,usuario,U.descrip as descrip,nro_tarj,ct.descrip as descr "
                . "from Usuarios U join Condiciones_Tiempo ct on U.id_condic = ct.id";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function listarPorId($id) {
        $sql = "select id,nombre,apellido,descrip,usuario,nro_tarj,id_condic "
                . "from Usuarios where id = :id";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':id', $id);
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function listarFechaHorasUP($Personal) {
        $u = $Personal;
        $sql = "select hora_ini,hora_fin,dias 
                from Condiciones_Tiempo ct join Usuarios u on ct.id = u.id_condic 
                and u.usuario = :user and clave = :pass";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':user', $u->getUsuario());
            $query->bindParam(':pass', $u->getClave());
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function listarFechaHorasCrd($Personal) {
        $u = $Personal;
        $sql = "select hora_ini,hora_fin,dias 
                from Condiciones_Tiempo ct join Usuarios u on ct.id = u.id_condic 
                and u.nro_tarj = :cardnumber";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':cardnumber', $u->getNro_tarj());
            $query->execute();
            $cnn = NULL;
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }
    
    public function listarIdNomApel() {
        $sql = "select id, nombre, apellido from Usuarios";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->execute();
            $cnn = NULL;
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function actualizar($Personal) {
        $u = $Personal;
        $sql = "update Usuarios set nombre= :nom, "
                . "apellido= :apel, "
                . "nro_tarj= :nrotarj, "
                . "usuario= :user, "
                . "clave= :clave, "
                . "id_condic= :idcondic, "
                . "descrip= :descrip "
                . " where id = :id";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':nom', $u->getNombre());
            $query->bindParam(':apel', $u->getApellido());
            $query->bindParam(':nrotarj', $u->getNro_tarj());
            $query->bindParam(':user', $u->getUsuario());
            $query->bindParam(':clave', $u->getClave());
            $query->bindParam(':idcondic', $u->getId_condic());
            $query->bindParam(':descrip', $u->getDescrip());
            $query->bindParam(':id', $u->getId());
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function insertar($Personal) {
        $u = $Personal;
        $sql = "insert into Usuarios(nombre, apellido, nro_tarj, usuario, clave, id_condic, descrip) values(:nom,:apel,:nrotarj,:user,:clave,:idcondic,:descrip)";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':nom', $u->getNombre());
            $query->bindParam(':apel', $u->getApellido());
            $query->bindParam(':nrotarj', $u->getNro_tarj());
            $query->bindParam(':user', $u->getUsuario());
            $query->bindParam(':clave', $u->getClave());
            $query->bindParam(':idcondic', $u->getId_condic());
            $query->bindParam(':descrip', $u->getDescrip());
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            //$result = $u->getNombre()."...".$u->getApellido()."...".$u->getNro_tarj()."...".$u->getUsuario()."...".$u->getClave()."...".$u->getId_condic()."...".$u->getDescrip()."\n";
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function eliminar($id) {
        $sql = "delete from Usuarios where id = :id";
        $pnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $pnn->prepare($sql);
            $query->bindParam(':id', $id);
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $pnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function traerColumnas() {
        $sql = "SHOW COLUMNS FROM Usuarios";
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

}

?>
