<?php
session_name('elastixSession');
session_start();

if (!isset($_SESSION['elastix_user'])) {
    header('Location: ../../index.php');
}

include_once 'Connection.php';
include_once '../Entities/Condicion_Tiempo.php';
$ct = new Condicion_Tiempo();

class m_timecondition {

    private $argPdo;

    function __construct() {
        $this->argPdo = 'mysql:host=localhost;dbname=aclsurix;charset=utf8';
    }

    public function listar() {
        $sql = "select id,descrip,hora_ini,hora_fin,dias "
                . "from Condiciones_Tiempo";
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

    public function listarPorId($id) {
        $sql = "select id,descrip,hora_ini,hora_fin,dias "
                . "from Condiciones_Tiempo "
                . "where id = :id";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam(':id', $id);
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }

    public function actualizar($Condic_Tmp) {
        $ct = $Condic_Tmp;
        $sql = "update Condiciones_Tiempo set descrip= :descrip,"
                                           . "hora_ini = :hora_ini,"
                                           . "hora_fin = :hora_fin,"
                                           . "dias = :dias "
             . "where id = :id";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        try {
            $query = $cnn->prepare($sql);
            $query->bindParam('descrip', $ct->getDescrip());
            $query->bindParam(':hora_ini', $ct->getHora_ini());
            $query->bindParam(':hora_fin', $ct->getHora_fin());
            $query->bindParam(':dias', $ct->getDias());
            $query->bindParam(':id', $ct->getId());
            $query->execute();
            $result = $query->fetchAll(PDO::FETCH_ASSOC);
            $cnn = NULL;
        } catch (PDOException $ex) {
            $result = $ex->getMessage();
            return $result;
        }
        return $result;
    }
   
    public function insertar($Condic_Tmp) {
        $ct = $Condic_Tmp;
        $sql = "insert into Condiciones_Tiempo(descrip, hora_ini, hora_fin, dias) values(:descrip,:hora_ini,:hora_fin,:dias)";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        if ($ct->getDias() != "") {
            try {
                $query = $cnn->prepare($sql);
                $query->bindParam(':hora_ini', $ct->getHora_ini());
                $query->bindParam(':hora_fin', $ct->getHora_fin());
                $query->bindParam(':dias', $ct->getDias());
                $query->bindParam(':descrip', $ct->getDescrip());
                $query->execute();
                $result = $query->fetchAll(PDO::FETCH_ASSOC);
                $cnn = NULL;
            } catch (PDOException $ex) {
                $result = $ex->getMessage();
                return $result;
            }
        }
        return $result;
    }

    public function eliminar($id) {
        $sql = "delete from Condiciones_Tiempo where id = :id";
        $cnn = new PDO($this->argPdo, MySQL_USER, MySQL_PASS);
        if ($id) {
            try {
                $query = $cnn->prepare($sql);
                $query->bindParam(':id', $id);
                $query->execute();
                $result = $query->fetchAll(PDO::FETCH_ASSOC);
                $cnn = NULL;
            } catch (PDOException $ex) {
                $result = $ex->getMessage();
                return $result;
            }
        }
        return $result;
    }

    function traerColumnas() {
        $sql = "SHOW COLUMNS FROM Condiciones_Tiempo";
        $cnn = new Connection("aclsurix");
        $cnn->Connect();
        $lnk = $cnn->GetLink();
        $result = mysql_query($sql, $lnk);
        $cnn->Connect_close($lnk);
        return $result;
    }

}
