<?php
session_name('elastixSession');
session_start();

if (!isset($_SESSION['elastix_user'])) {
    header('Location: ../../index.php');
}
include_once '../Controller/TimeConditionEdit.php';
?>
<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>aclSurix</title>
        <!-- Bootstrap -->
        <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <!-- Ketchup validator -->
        <link rel="stylesheet" type="text/css" media="screen" href="../bootstrap/css/jquery.ketchup.css" />
        <!-- jquery-timepicker -->
        <link rel="stylesheet" type="text/css" href="../bootstrap/jquery-timepicker/jquery.timepicker.css" />
    </head>
    <body>
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
        <script type="text/javascript" src="../bootstrap/js/jquery.ketchup.all.min.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="../bootstrap/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../bootstrap/moment-develop/min/moment.min.js"></script>
        <!-- jquery-timepicker -->
        <script type="text/javascript" src="../bootstrap/jquery-timepicker/jquery.timepicker.js"></script>
        <link rel="stylesheet" type="text/css" href="../bootstrap/jquery-timepicker/lib/bootstrap-datepicker.css" />
        <script type="text/javascript" src="../bootstrap/jquery-timepicker/lib/bootstrap-datepicker.js"></script>
        <!-- bootstrap-duallistbox -->
        <script src="../bootstrap/bootstrap-duallistbox-master/dist/jquery.bootstrap-duallistbox.min.js"></script>
        <link rel="stylesheet" type="text/css" href="../bootstrap/bootstrap-duallistbox-master/dist/bootstrap-duallistbox.css">
        <script type="text/javascript">
            $(document).ready(function () {
                $('#hora1').timepicker({
                    'timeFormat': 'H:i:s'
                });
                $('#hora2').timepicker({
                    'timeFormat': 'H:i:s'
                });
                var dual = $('#dual1').bootstrapDualListbox({
                    nonSelectedListLabel: 'Seleccionar',
                    selectedListLabel: 'Seleccionados',
                    preserveSelectionOnMove: 'moved',
                    moveOnSelect: false,
                    helperSelectNamePostfix: false,
                });
                $('#frmTimeConditionEdt').ketchup({}, {
                    '.required': 'required'
                });
                $('#hora2').change(function() {
                    var x = $('#hora1').val();
                    var y = $('#hora2').val();
                    if(x > y) {
                        alert('El rango de tiempo es inválido. Asegúrese que "hora hasta" sea mayor que "hora desde".');
                        $('#hora1').val('');
                        $('#hora2').val('');
                    }
                });
            });
        </script>
        <img src="../bootstrap/img/logo3.jpg" width="120" height="60">
        <form id="frmTimeConditionEdt" method="post" class="form-horizontal" action="../Controller/TimeConditionEdit.php" role="form">
            <div class="container-fluid">
                <div class="col-md-9 col-md-offset-1">
                    <ul class="nav nav-tabs" role="tablist">
                        <li><a href="TimeConditionLst.php">Listado de Condiciones</a></li>
                        <li><a href="TimeConditionAbm.php">Nueva Condicion</a></li>
                        <li><a href="AuthPersonLst.php">Listado de Usuarios</a></li>
                        <li><a href="AuthPersonAbm.php">Nuevo Usuario</a></li>
                        <!--<li><a href="TerminalLst.php">Listado de Terminales</a></li>
                        <li><a href="TerminalAbm.php">Nuevo Terminal</a></li>-->
                        <li><a href="Reports.php">Informe de Accesos</a></li>
                    </ul>
                </div>
                <div class="col-md-9 col-md-offset-1">
                    <legend>Descripcion de Rango</legend>
                </div>
                <div class="row-fluid">
                    <div class="col-md-9 col-md-offset-1">
                        <div class="form-group">
                            <label for="description" pattern="[A-Za-z][a-z]{2,20}" title="no se permite !\$%^*()=+-_\|';:.<>&!@#^" class="col-sm-3 control-label">Descripcion</label>
                            <div class="col-sm-8">
                                <input name="descrip" type="text" value="<?php echo $descr ?>" class="form-control required" id="description">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-9 col-md-offset-1">
                    <legend>Rango de Tiempo</legend>
                </div>
                <div class="row-fluid">
                    <div class="col-md-9 col-md-offset-1">
                        <div class="form-group">
                            <label class="col-sm-3 control-label">Hora desde/hasta</label>
                            <div class="col-md-4">
                                <input name="hora1" id="hora1" value="<?php echo $horaini ?>" type="text" class="form-control required time" />
                            </div>
                            <div class="col-md-4">
                                <input name="hora2" id="hora2" value="<?php echo $horafin ?>" type="text" class="form-control required time" />
                            </div>
                            <input type="hidden" name="idtc" value="<?php echo $id ?>">
                        </div>
                    </div>
                </div>
                <div class="col-md-9 col-md-offset-1">
                    <legend>Dias incluidos</legend>
                </div>
                <div class="row-fluid">
                    <div class="col-md-9 col-md-offset-1">
                        <div class="form-group">
                            <label for="datelapse" class="col-sm-2 col-sm-offset-1 control-label">Dias</label>
                            <div class="col-sm-8">
                                <select multiple="multiple" size="7" name="dual1[]" id="dual1" style="display: none;">
                                    <?php
                                    $arrdays = explode(",", $dias);
                                    foreach ($arrdays as $dia) {
                                        echo "<option value='$dia' selected='selected'>" . $dia . "</option>";
                                    }
                                    ?>
                                    <option value="Lunes">Lunes</option>
                                    <option value="Martes">Martes</option>
                                    <option value="Miercoles">Miercoles</option>
                                    <option value="Jueves">Jueves</option>
                                    <option value="Viernes">Viernes</option>
                                    <option value="Sabado">Sabado</option>
                                    <option value="Domingo">Domingo</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row-fluid">
                    <div class="col-md-2 col-md-offset-8">
                        <div class="form-group">
                            <div class="col-sm-6">
                                <input type="submit" name="actualizar" class="btn btn-primary" value="Actualizar">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>
