/**
 * alertify
 * An unobtrusive customizable JavaScript notification system
 *
 * @author Fabien Doiron <fabien.doiron@gmail.com>
 * @copyright Fabien Doiron 2013
 * @license MIT <http://opensource.org/licenses/mit-license.php>
 * @link http://fabien-d.github.com/alertify.js/
 * @module alertify
 * @version 0.3.3
 */
(function(e,t){"use strict";var n=e.document,r;r=function(){var e={},r={},i=!1,s={ENTER:13,ESC:27,SPACE:32},o=[],u,a,f,l,c,h;return r={buttons:{holder:'<nav class="alertify-buttons">{{buttons}}</nav>',submit:'<button type="submit" class="alertify-button alertify-button-ok" id="alertify-ok" />{{ok}}</button>',ok:'<a href="#" class="alertify-button alertify-button-ok" id="alertify-ok">{{ok}}</a>',cancel:'<a href="#" class="alertify-button alertify-button-cancel" id="alertify-cancel">{{cancel}}</a>'},input:'<div class="alertify-text-wrapper"><input type="text" class="alertify-text" id="alertify-text"></div>',message:'<p class="alertify-message">{{message}}</p>',log:'<article class="alertify-log{{class}}">{{message}}</article>'},h=function(){var e,r=n.createElement("fakeelement"),i={transition:"transitionend",OTransition:"otransitionend",MSTransition:"msTransitionEnd",MozTransition:"transitionend",WebkitTransition:"webkitTransitionEnd"};for(e in i)if(r.style[e]!==t)return i[e]},u=function(e){return n.getElementById(e)},e={labels:{ok:"OK",cancel:"Cancel"},delay:5e3,buttonReverse:!1,transition:t,addListeners:function(e){var r=u("alertify-resetFocus"),i=u("alertify-ok")||t,o=u("alertify-cancel")||t,a=u("alertify-text")||t,f=u("alertify-form")||t,l=typeof i!="undefined",c=typeof o!="undefined",h=typeof a!="undefined",p="",d=this,v,m,g,y,b;v=function(t){return typeof t.preventDefault!="undefined"&&t.preventDefault(),g(t),typeof a!="undefined"&&(p=a.value),typeof e=="function"&&(typeof a!="undefined"?e(!0,p):e(!0)),!1},m=function(t){return typeof t.preventDefault!="undefined"&&t.preventDefault(),g(t),typeof e=="function"&&e(!1),!1},g=function(e){d.hide(),d.unbind(n.body,"keyup",y),d.unbind(r,"focus",b),h&&d.unbind(f,"submit",v),l&&d.unbind(i,"click",v),c&&d.unbind(o,"click",m)},y=function(e){var t=e.keyCode;t===s.SPACE&&!h&&v(e),t===s.ESC&&c&&m(e)},b=function(e){h?a.focus():c?o.focus():i.focus()},this.bind(r,"focus",b),l&&this.bind(i,"click",v),c&&this.bind(o,"click",m),this.bind(n.body,"keyup",y),h&&this.bind(f,"submit",v),typeof this.transition=="undefined"&&(a?(a.focus(),a.select()):i.focus())},bind:function(e,t,n){typeof e.addEventListener=="function"?e.addEventListener(t,n,!1):e.attachEvent&&e.attachEvent("on"+t,n)},appendButtons:function(e,t){return this.buttonReverse?t+e:e+t},build:function(e){var t="",n=e.type,i=e.message,s=e.cssClass||"";t+='<div class="alertify-dialog">',n==="prompt"&&(t+='<form id="alertify-form">'),t+='<article class="alertify-inner">',t+=r.message.replace("{{message}}",i),n==="prompt"&&(t+=r.input),t+=r.buttons.holder,t+="</article>",n==="prompt"&&(t+="</form>"),t+='<a id="alertify-resetFocus" class="alertify-resetFocus" href="#">Reset Focus</a>',t+="</div>";switch(n){case"confirm":t=t.replace("{{buttons}}",this.appendButtons(r.buttons.cancel,r.buttons.ok)),t=t.replace("{{ok}}",this.labels.ok).replace("{{cancel}}",this.labels.cancel);break;case"prompt":t=t.replace("{{buttons}}",this.appendButtons(r.buttons.cancel,r.buttons.submit)),t=t.replace("{{ok}}",this.labels.ok).replace("{{cancel}}",this.labels.cancel);break;case"alert":t=t.replace("{{buttons}}",r.buttons.ok),t=t.replace("{{ok}}",this.labels.ok);break;default:}return l.className="alertify alertify-show alertify-"+n+" "+s,f.className="alertify-cover",t},close:function(e,t){var n=t&&!isNaN(t)?+t:this.delay,r=this,i;this.bind(e,"click",function(){c.removeChild(e)}),i=function(e){e.stopPropagation(),e.propertyName==="opacity"&&c.removeChild(this)};if(t===0)return;setTimeout(function(){typeof e!="undefined"&&e.parentNode===c&&(typeof r.transition!="undefined"?(r.bind(e,r.transition,i),e.className+=" alertify-log-hide"):c.removeChild(e))},n)},dialog:function(e,t,r,s,u){a=n.activeElement;var f=function(){if(l&&l.scrollTop!==null)return;f()};if(typeof e!="string")throw new Error("message must be a string");if(typeof t!="string")throw new Error("type must be a string");if(typeof r!="undefined"&&typeof r!="function")throw new Error("fn must be a function");return typeof this.init=="function"&&(this.init(),f()),o.push({type:t,message:e,callback:r,placeholder:s,cssClass:u}),i||this.setup(),this},extend:function(e){if(typeof e!="string")throw new Error("extend method must have exactly one paramter");return function(t,n){return this.log(t,e,n),this}},hide:function(){o.splice(0,1),o.length>0?this.setup():(i=!1,l.className="alertify alertify-hide alertify-hidden",f.className="alertify-cover alertify-cover-hidden",a.focus())},init:function(){n.createElement("nav"),n.createElement("article"),n.createElement("section"),f=n.createElement("div"),f.setAttribute("id","alertify-cover"),f.className="alertify-cover alertify-cover-hidden",n.body.appendChild(f),l=n.createElement("section"),l.setAttribute("id","alertify"),l.className="alertify alertify-hidden",n.body.appendChild(l),c=n.createElement("section"),c.setAttribute("id","alertify-logs"),c.className="alertify-logs",n.body.appendChild(c),n.body.setAttribute("tabindex","0"),this.transition=h(),delete this.init},log:function(e,t,n){var r=function(){if(c&&c.scrollTop!==null)return;r()};return typeof this.init=="function"&&(this.init(),r()),this.notify(e,t,n),this},notify:function(e,t,r){var i=n.createElement("article");i.className="alertify-log"+(typeof t=="string"&&t!==""?" alertify-log-"+t:""),i.innerHTML=e,c.insertBefore(i,c.firstChild),setTimeout(function(){i.className=i.className+" alertify-log-show"},50),this.close(i,r)},set:function(e){var t;if(typeof e!="object"&&e instanceof Array)throw new Error("args must be an object");for(t in e)e.hasOwnProperty(t)&&(this[t]=e[t])},setup:function(){var e=o[0],n=!0,r=this,s;i=!0,s=function(e){var i=u("alertify-text")||t,o=u("alertify-ok")||t;e.stopPropagation(),n&&(n=!1,i?(i.focus(),i.select()):o.focus(),r.unbind(l,r.transition,s))},typeof this.transition!="undefined"&&this.bind(l,this.transition,s),l.innerHTML=this.build(e),typeof e.placeholder=="string"&&e.placeholder!==""&&(u("alertify-text").value=e.placeholder),this.addListeners(e.callback)},unbind:function(e,t,n){typeof e.removeEventListener=="function"?e.removeEventListener(t,n,!1):e.detachEvent&&e.detachEvent("on"+t,n)}},{alert:function(t,n,r){return e.dialog(t,"alert",n,"",r),this},confirm:function(t,n,r){return e.dialog(t,"confirm",n,"",r),this},extend:e.extend,init:e.init,log:function(t,n,r){return e.log(t,n,r),this},prompt:function(t,n,r,i){return e.dialog(t,"prompt",n,r,i),this},success:function(t,n){return e.log(t,"success",n),this},error:function(t,n){return e.log(t,"error",n),this},set:function(t){e.set(t)},labels:e.labels}},typeof define=="function"?define([],function(){return new r}):typeof e.alertify=="undefined"&&(e.alertify=new r)})(this);